summaryrefslogtreecommitdiff
path: root/scripts/qflow.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/qflow.sh.in')
-rw-r--r--scripts/qflow.sh.in17
1 files changed, 9 insertions, 8 deletions
diff --git a/scripts/qflow.sh.in b/scripts/qflow.sh.in
index b78cd20..d6a0436 100644
--- a/scripts/qflow.sh.in
+++ b/scripts/qflow.sh.in
@@ -292,6 +292,7 @@ if ( ! -f ${userfile} ) then
echo "# -------------------------------------------" >> ${userfile}
echo "# set initial_density = " >> ${userfile}
echo "# set graywolf_options = " >> ${userfile}
+ echo '# set addspacers_options = "-stripe 5 200 PG -nostretch"' >> ${userfile}
echo "" >> ${userfile}
echo "# Router command options:" >> ${userfile}
echo "# -------------------------------------------" >> ${userfile}
@@ -310,45 +311,45 @@ endif
if ($dosynth == 0) then
echo -n "# " >> ${execfile}
endif
-echo "${scriptdir}/synthesize.sh ${projectpath} ${modulename}" >> ${execfile}
+echo "${scriptdir}/synthesize.sh ${projectpath} ${modulename} || exit 1" >> ${execfile}
if ($doplace == 0) then
echo -n "# " >> ${execfile}
endif
# Use -d because the user may decide not to run fanout buffering,
# and the files generated by place2def.tcl are required for routing.
-echo "${scriptdir}/placement.sh -d ${projectpath} ${modulename}" >> ${execfile}
+echo "${scriptdir}/placement.sh -d ${projectpath} ${modulename} || exit 1" >> ${execfile}
if ($dosta == 0) then
echo -n "# " >> ${execfile}
endif
-echo "${scriptdir}/vesta.sh ${projectpath} ${modulename}" >> ${execfile}
+echo "${scriptdir}/vesta.sh ${projectpath} ${modulename} || exit 1" >> ${execfile}
if ($doroute == 0) then
echo -n "# " >> ${execfile}
endif
-echo "${scriptdir}/router.sh ${projectpath} ${modulename}" >> ${execfile}
+echo "${scriptdir}/router.sh ${projectpath} ${modulename} || exit 1" >> ${execfile}
if ($dodecongest == 0) then
echo -n "# " >> ${execfile}
endif
-echo "${scriptdir}/placement.sh -f -d ${projectpath} ${modulename}" >> ${execfile}
+echo "${scriptdir}/placement.sh -f -d ${projectpath} ${modulename} || exit 1" >> ${execfile}
if ($dodecongest == 0) then
echo -n "# " >> ${execfile}
endif
-echo -n "${scriptdir}/router.sh ${projectpath} ${modulename}" >> ${execfile}
+echo -n "${scriptdir}/router.sh ${projectpath} ${modulename} || exit 1" >> ${execfile}
echo ' $status' >> ${execfile}
if ($doclean == 0) then
echo -n "# " >> ${execfile}
endif
-echo "${scriptdir}/cleanup.sh ${projectpath} ${modulename}" >> ${execfile}
+echo "${scriptdir}/cleanup.sh ${projectpath} ${modulename} || exit 1" >> ${execfile}
if ($dodisplay == 0) then
echo -n "# " >> ${execfile}
endif
-echo "${scriptdir}/display.sh ${projectpath} ${modulename}" >> ${execfile}
+echo "${scriptdir}/display.sh ${projectpath} ${modulename} || exit 1" >> ${execfile}
if ( $actions == 0 ) then
echo "No actions specified on command line;"